<template>
	<view class="my-data">
		<uni-nav-bar @clickLeft="goBack()" class="nav-bar" height="110rpx" leftWidth="200rpx" leftText="添加人员"
			leftIcon="left" border backgroundColor="#2cade8" color="#fff" fixed statusBar shadow></uni-nav-bar>

		<view class="wrap-view">
			<view class="item">
				<view class="title">姓名</view>
				<view class="content">
					<input type="text" v-model="formData.name" maxlength="20" placeholder="请输入" />
				</view>
			</view>
			<view class="item">
				<view class="title">手机号</view>
				<view class="content">
					<input type="text" v-model="formData.phone" maxlength="20" placeholder="请输入" />
				</view>
			</view>
			<view class="item">
				<view class="title">身份证号</view>
				<view class="content">
					<input type="text" v-model="formData.id_number" maxlength="20" placeholder="请输入" />
				</view>
			</view>
			<view class="item" style="height: fit-content;">
				<view class="title">证件照</view>
				<view style="flex: 3;">
					<uni-file-picker v-model="formData.photo" file-mediatype="image" mode="grid" file-extname="png,jpg"
						:limit="1" ref="files" :auto-upload="false" @select="select" />
				</view>
			</view>
		</view>
		<view class="btn">
			<button type="default" class="save-btn" @click="saveVisitor">保存</button>
		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				formData: {
					photo: "",
					name: "",
					phone: "",
					id_number: ""
				}
			}
		},

		methods: {
			saveVisitor(){
				this.$u.api.visitorCreate(this.formData).then(res=>{
					if(res.err_msg){}else{
						uni.navigateTo({
							url: '/pages/workSpace/visit/vpeopleList'
						})
					}
				})
			},
			goBack() {
				uni.navigateBack({
					delta: 1
				})
			},
			select(e) {
				this.filepath = e.tempFilePaths
			},
			async upImg() {
				var that = this
				if (that.filepath.length>0) {
					uni.showLoading({
						title: '上传中'
					})
					
					for(var i=0;i<that.filepath.length;i++){
						let base64 = 'data:image/jpeg;base64,' + uni.getFileSystemManager().readFileSync(that.filepath[i],
							'base64')
						let res;
						try{
						res = await that.$u.api.upFile({imgBase64:base64})
						}
						catch(e){
							if(e.data.code==1){
								that.rpath.push(e.data.path)
							}
						}
						
						
					}
					try{
						let payload = {
							id: that.rdata.id,
							voucher_url: that.rpath.join(',')
						}
						let res = await that.$u.api.tjfk(payload)
						uni.hideLoading()
						uni.showToast({
							title:'提交成功'
						})
						uni.navigateBack()
					}catch(e){
						uni.hideLoading()
						uni.showToast({
							title:'提交失败',
							icon:'none'
						})
					}
				}
			},
		}
	}
</script>

<style scoped>
	>>>.uni-navbar__header,
	>>>.uni-status-bar {
		background-image: linear-gradient(254deg,
				#0ca7ee 0%,
				#005aff 100%,
				#2a8cff 100%,
				#54bdff 100%),
			linear-gradient(#e60012,
				#e60012);
	}

	.my-data {
		background-color: #f3fbff;
		padding-bottom: 227rpx;
	}

	.nav-bar>>>.uni-navbar-btn-text text {
		font-size: 32rpx !important;
	}

	.wrap-view {
		width: 720rpx;
		margin: 0 auto;
		background-color: #ffffff;
		border-radius: 10rpx;
		line-height: 94rpx;
		font-family: PingFang-SC-Medium;
		font-size: 30rpx;
	}

	.item {
		border-bottom: 1rpx solid #eeeeee;
		margin: 0rpx 32rpx;
		display: flex;
		margin-top: 20rpx;
	}

	.title {
		color: #212121;
		flex: 1;
	}

	.content {
		flex: 3;
		color: #414141;

	}

	.content input {
		height: 100%;
	}

	.save-btn {
		width: 400rpx;
		height: 80rpx;
		background-color: #2c6fd9;
		border-radius: 40rpx;
		font-size: 30rpx;
		line-height: 80rpx;
		color: #f3fbff;
		margin-top: 21rpx;
	}
</style>
